{
  "name": "@gaia-x/json-web-signature-2020",
  "version": "2.3.0",
  "description": "A lightweight JsonWebSignature2020 signing and verification Typescript library by Gaia-X AISBL",
  "homepage": "https://gitlab.com/gaia-x/lab/json-web-signature-2020",
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:gaia-x/lab/json-web-signature-2020.git"
  },
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "files": [
    "dist/"
  ],
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "prepare": "husky",
    "compile": "tsc --noEmit",
    "test": "vitest run",
    "test:dev": "vitest",
    "test:ci": "vitest run --coverage",
    "build": "rm -rf dist/ && tsc --build"
  },
  "keywords": [
    "jsonwebsignature2020",
    "jws",
    "verifiable",
    "credential",
    "vc",
    "gaia-x"
  ],
  "author": "Gaia-X AISBL",
  "license": "EPL-2.0",
  "devDependencies": {
    "@commitlint/config-conventional": "^18.6.0",
    "@egavard/semantic-release-slack": "^1.0.9",
    "@saithodev/semantic-release-backmerge": "^4.0.1",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^13.0.2",
    "@trivago/prettier-plugin-sort-imports": "^4.3.0",
    "@types/luxon": "^3.4.2",
    "@vitest/coverage-v8": "^1.2.2",
    "commitlint": "^18.6.0",
    "husky": "^9.0.7",
    "msw": "^2.1.5",
    "prettier": "3.2.4",
    "ts-node": "^10.9.2",
    "vitest": "^1.2.2"
  },
  "dependencies": {
    "jose": "^5.2.0",
    "jsonld": "^8.3.2",
    "luxon": "^3.4.4",
    "web-did-resolver": "^2.0.27"
  }
}
